Bug 271562 - UnsatisfiedLinkError: Can't load library: /home/kaenganxt/netbeans-dev-201709290002/cnd/modules/ext/lib/Linux-aarch64/libbase.so
UnsatisfiedLinkError: Can't load library: /home/kaenganxt/netbeans-dev-201709...
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
Dev
All All
: P1 (vote)
: TBD
Assigned To: Maria Tishkova
issues@cnd
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-30 22:11 UTC by kaenganxt
Modified: 2017-10-04 02:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.41 KB, text/plain)
2017-09-30 22:12 UTC, kaenganxt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaenganxt 2017-09-30 22:11:56 UTC
This bug was originally marked as duplicate of bug 199805, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201709290002)
VM: OpenJDK 64-Bit Server VM, 25.131-b11, OpenJDK Runtime Environment, 1.8.0_131-8u131-b11-2ubuntu1.16.04.3-b11
OS: Linux

User Comments:
kaenganxt: This instance is running in a crouton environment on ChromeOS




Stacktrace: 
java.lang.UnsatisfiedLinkError: Can't load library: /home/kaenganxt/netbeans-dev-201709290002/cnd/modules/ext/lib/Linux-aarch64/libbase.so
   at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1827)
   at java.lang.Runtime.load0(Runtime.java:809)
   at java.lang.System.load(System.java:1086)
   at com.sun.tools.swdev.toolscommon.base.InstallDir.loadLibrary(InstallDir.java:294)
   at com.sun.tools.swdev.toolscommon.base.UnixProcess.<clinit>(UnixProcess.java:68)
   at com.sun.tools.swdev.glue.Service.convert_addr(Service.java:83)
Comment 1 kaenganxt 2017-09-30 22:12:01 UTC
Created attachment 165215 [details]
stacktrace
Comment 2 soldatov 2017-10-02 12:09:23 UTC
This exception appears if user starts NetBeans on Linux ARM. And it is a regression in NetBeans 9.0.
Comment 3 Alexander Simon 2017-10-02 12:28:58 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/0f65f30c99a8
Comment 4 Quality Engineering 2017-10-04 02:17:36 UTC
Integrated into 'main-silver', will be available in build *201710040002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0f65f30c99a8
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #271562 UnsatisfiedLinkError: Can't load library: /home/kaenganxt/netbeans-dev-201709290002/cnd/modules/ext/lib/Linux-aarch64/libbase.so


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo